> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# スケジュールを再開する

> 一時停止中の Forward Schedule を再開します。

`POST /api/v1/forward/schedules/{schedule_id}/unpause`

一時停止中の Schedule を `active` ステータスに戻します。

## Headers

| Header            | Required | Description            |
| ----------------- | -------- | ---------------------- |
| `Authorization`   | Yes      | `Bearer <PAT>`         |
| `Idempotency-Key` | No       | 安全でないリクエスト向けの任意のべき等キー。 |

## Path parameters

| Parameter     | Type   | Required | Description          |
| ------------- | ------ | -------- | -------------------- |
| `schedule_id` | string | Yes      | Forward Schedule ID。 |

## Example request

```bash theme={null}
curl -s -X POST 'https://api.qoder.com/api/v1/forward/schedules/sched_019f00112233445566778899aabbccdd/unpause' \
  -H "Authorization: Bearer $QODER_PAT"
```

## Example response

**HTTP 200 OK**

```json theme={null}
{
  "id": "sched_019f00112233445566778899aabbccdd",
  "identity_id": "idn_019eabc123",
  "template_id": "tmpl_support",
  "name": "Daily tech brief",
  "status": "active",
  "paused_reason": null,
  "archived_at": null,
  "updated_at": "2026-06-22T12:10:00Z"
}
```

## Response fields

`status=active` が設定された更新後の Schedule オブジェクトを返します。

## Errors

| HTTP | Type                    | Code                      | Trigger              |
| ---- | ----------------------- | ------------------------- | -------------------- |
| 401  | `authentication_error`  | `authentication_required` | PAT が無効または期限切れです。    |
| 404  | `not_found_error`       | `schedule_not_found`      | Schedule が存在しません。    |
| 409  | `invalid_request_error` | `schedule_archived`       | Schedule はアーカイブ済みです。 |

## Notes

* 再開しても Schedule Run は作成されません。
* 次回の予定トリガーは Schedule のトリガーポリシーから再計算されます。

## Related

<CardGroup cols={2}>
  <Card title="スケジュールを一時停止する" icon="pause" href="/cloud-agents/api/forward/schedules/pause" />

  <Card title="スケジュールを取得する" icon="file-lines" href="/cloud-agents/api/forward/schedules/get" />
</CardGroup>
